/*
     $Revision$
     $Id$
     Omschrijving: Bestand bevat functionaliteit om van te voren gedefinieerde bestanden
     te uploaden naar Facilityplace. De xxx.csv hieronder moet vervangen worden door de naam van
     het bronbestand voor personen en organisatie.
*/

WebdavURL = "https://webdav.facilityplace.nl/logi/";

WebUploadFile("xxx.csv", WebdavURL, "exportfmispersonen.csv")
WebUploadFile("xxx.csv", WebdavURL, "exportfmisorganisatie.csv")

//====================== WebDAV upload single file
function WebUploadFile (file, url, targetname)
{
  debugger;
  var objXMLHTTP
  var objADOStream
  var arrbuffer
  var objADOStream = new ActiveXObject("ADODB.Stream")
  objADOStream.Open;
  objADOStream.Type = 1;
  objADOStream.LoadFromFile(file)
  arrbuffer = objADOStream.Read();
  objXMLHTTP = new ActiveXObject("MSXML2.ServerXMLHTTP.6.0")
  objXMLHTTP.open("PUT", url + targetname, false, "Logi", "Logi!3fg");
  objXMLHTTP.send(arrbuffer);
  if (objXMLHTTP.status == 200) // 200: Ok (was er al maar wel overschreven?)
        WScript.Echo("Ok 200");
  else if (objXMLHTTP.status == 201) // 201: successfully created
        WScript.Echo("Ok 201");
    else
    {
        WScript.Echo(objXMLHTTP.responseText);
        WScript.Echo(objXMLHTTP.status);
    }
}
